<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:padding="4dp"
    android:layout_margin="8dp"
    android:elevation="10dp"
    android:clickable="true"
    app:cardBackgroundColor="@color/cp_bg_color"
    android:layout_marginVertical="4dp">
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="8dp"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">
        <Spinner
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:layout_weight="4"
            android:id="@+id/check_point_spinner">

        </Spinner>

        <CheckBox
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:text="OK"
            android:layout_weight="1"
            android:id="@+id/check_point_ok"
            >
        </CheckBox>

        <CheckBox
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:text="NO"
            android:layout_weight="1"
            android:id="@+id/check_point_no"
            >
        </CheckBox>

<!--        <ImageButton-->
<!--            android:id="@+id/check_point_delete"-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:src="@drawable/ic_delete"-->
<!--            android:background="@null"-->
<!--            android:padding="8dp"/>-->
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="3dp">

        <EditText
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:hint="Remarks"
            android:layout_weight="4"
            android:id="@+id/check_point_remarks">
        </EditText>


    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:weightSum="1"
        android:orientation="horizontal">
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/imageRecyclerView"
            android:layout_width="wrap_content"
            android:layout_weight="0.8"
            android:layout_height="150dp"
            android:orientation="horizontal"
            android:layout_margin="10dp"/>

        <!--<ImageView
            android:id="@+id/preview_image"
            android:layout_width="150dp"
            android:layout_height="150dp">
        </ImageView>-->
        <TextView
            android:id="@+id/selected_image"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="0.2"
            android:textAlignment="center"
            android:text="">
        </TextView>

        <ImageButton
            android:id="@+id/image_picker"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/image_picker"
            android:background="@null"
            android:padding="8dp"/>
        <ImageButton
            android:id="@+id/delete_image"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_delete"
            android:background="@null"
            android:padding="8dp"/>
        <ImageButton
            android:id="@+id/add_defect"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_add"
            android:background="@null"
            android:padding="8dp"/>
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="3dp"
        android:id="@+id/defect_layout">

        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/defects_recyclerview">
        </androidx.recyclerview.widget.RecyclerView>

<!--        <Spinner-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="50dp"-->
<!--            android:layout_weight="1"-->
<!--            android:padding="5dp"-->
<!--            android:id="@+id/defect_spinner">-->
<!--        </Spinner>-->

<!--        <Spinner-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="50dp"-->
<!--            android:layout_weight="1"-->
<!--            android:padding="5dp"-->
<!--            android:id="@+id/defect_type_spinner">-->
<!--        </Spinner>-->
    </LinearLayout>
    <TextView
        android:id="@+id/standard"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text=""
        android:background="@color/light_blue_2"
        android:padding="16dp"
        android:textSize="18sp"
        android:textColor="#000000" />
</LinearLayout>
</androidx.cardview.widget.CardView>